import { MultiSelectAttributeFilterHandler, SingleSelectAttributeFilterHandler } from "./internal/index.js";
/**
 * @public
 */
export function newAttributeFilterHandler(backend, workspace, attributeFilter, options = {
    selectionMode: "multi",
    displayAsLabel: undefined,
    enableDuplicatedLabelValuesInAttributeFilter: true,
}) {
    const { selectionMode, hiddenElements, staticElements, enableDuplicatedLabelValuesInAttributeFilter, displayAsLabel, } = options;
    if (selectionMode === "multi") {
        return new MultiSelectAttributeFilterHandler({
            backend,
            workspace,
            attributeFilter,
            hiddenElements,
            staticElements,
            enableDuplicatedLabelValuesInAttributeFilter,
            displayAsLabel,
        });
    }
    return new SingleSelectAttributeFilterHandler({
        backend,
        workspace,
        attributeFilter,
        hiddenElements,
        staticElements,
        enableDuplicatedLabelValuesInAttributeFilter,
        displayAsLabel,
    });
}
//# sourceMappingURL=factory.js.map